> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ruft detaillierte Informationen über den Katalog ab

> Ruft detaillierte Informationen zur Katalogstruktur ab, z. B. zum erforderlichen Spaltensatz



## OpenAPI

````yaml /de/openapi.json get /api/publicapi/v1/catalogs/{catalogId}
openapi: 3.0.4
info:
  description: 'Umgebung: Produktion<br>Produktversion: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: Produktion USA
    url: https://vantage-us.abbyy.com
  - description: Produktion Europa
    url: https://vantage-eu.abbyy.com
  - description: Produktion Australien
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}:
    get:
      tags:
        - Catalogs
      summary: Ruft detaillierte Informationen über den Katalog ab
      description: >-
        Ruft detaillierte Informationen zur Katalogstruktur ab, z. B. zum
        erforderlichen Spaltensatz
      operationId: GetCatalog
      parameters:
        - description: Katalog-ID. Sie finden sie in der Liste aller Kataloge.
          in: path
          name: catalogId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDto
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDto
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDto
          description: Kataloginformationen wurden erfolgreich abgerufen
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Katalog wurde nicht gefunden
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDto:
      additionalProperties: false
      properties:
        columns:
          description: Spalten im Katalog
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ColumnDto
          type: array
        id:
          description: Eindeutige Kennung des Katalogs
          minLength: 1
          type: string
        name:
          description: Katalogname
          minLength: 1
          type: string
        rowCount:
          description: Gesamtzahl der Zeilen im Katalog
          format: int32
          type: integer
      required:
        - columns
        - id
        - name
        - rowCount
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ColumnDto:
      additionalProperties: false
      properties:
        name:
          description: Name der Katalogspalte
          minLength: 1
          type: string
        notEmpty:
          description: ''
          type: boolean
        type:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.ColumnType
      required:
        - name
        - notEmpty
        - type
      type: object
    Abbyy.Vantage.PublicApi.Contract.Catalogs.ColumnType:
      enum:
        - Text
        - Double
        - Integer
        - Date
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````